Page MenuHomePhabricator

Be able to find tasks by "is a blocker to task Y" or "is blocked by task Y" in the search interface
Closed, ResolvedPublic

Description

If I want to make edits to all the tasks blocked by something (e.g. to add them to a project), right now I need to manually iterate through the blockee and change each task in turn; if I could search on this criterion, I could instead make it as a batch edit.

Event Timeline

jdforrester raised the priority of this task from to Needs Triage.
jdforrester updated the task description. (Show Details)
jdforrester added projects: Search, Maniphest.
jdforrester added a subscriber: jdforrester.
chad triaged this task as Wishlist priority.Nov 25 2014, 7:41 PM
qgil added a subscriber: qgil.Nov 30 2014, 9:37 PM

Another use case for this query would be to visualize the 'status' of subtasks on a workboard by filtering on 'blocked by Txxx'. For example, maybe some of the subtasks are Done while others are languishing in Backlog.

I'd love it if I could just click on the "Blocked by" or "Blocks" label on a task and be taken to the Maniphest query for all the listed tasks.

cburroughs added a project: Restricted Project.May 3 2016, 6:32 PM
cburroughs moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.May 3 2016, 6:48 PM
epriestley closed this task as Resolved.Jul 28 2016, 9:43 PM
epriestley claimed this task.
epriestley added a subscriber: epriestley.

At HEAD of master, this is now supported. There's no default UI for it, but you can get to it in three ways:

  • From the "Task Graph" box on a task, choose Search...Search Subtasks (or "Parent Tasks").
  • Manually visit /maniphest/?parentIDs=123.
  • Use the maniphest.search API.

If you do either of the first two, the actual field will show up and you can fiddle with it using your mouse and keyboard and use it like a normal query (add filters, save it as a custom query, etc). it's just hidden by default under the assumption that ManiphestType some task numbers into a box is an exceptionally rare workflow.

The vaguely related queries for "blocked by anything / not blocked by nothing" also work correctly now.